﻿/*  チェックボックス付きフォルダ選択ダイアログボックス
 
		FolderBrowserWithCheckBox コントロールをダイアログボックスとして使うフォーム
 */

using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;

namespace emanual.Wpf.Controls
{
	public partial class FolderWithCheckBoxDialog : Window
	{
		private List<string> FSelectedPathList;
		private string FSelectedPath = "";
		private Window FParentWindow = null; //フォームの表示位置を親フォームの位置との相対的な位置として設定可能

		public List<string> SelectedPathList { get { return FSelectedPathList; } set { FSelectedPathList = value; } }
		public string SelectedPath { get { return FSelectedPath; } set { FSelectedPath = value; } }
		public Window ParentWindow { get { return FParentWindow; } set { FParentWindow = value; } }

		//---------------------------------------------------------------------------------------------
		public FolderWithCheckBoxDialog()
		{
			InitializeComponent();

			if (FSelectedPath != "")
				folderBrowser.SelectedPath = FSelectedPath;
		}

		private void window_Loaded(object sender, RoutedEventArgs e)
		{
			if (FParentWindow != null)
			{
				this.Left = FParentWindow.Left + 50;
				this.Top = FParentWindow.Top + 50;
			}
		}

		private void btnOK_Click(object sender, RoutedEventArgs e)
		{
			FSelectedPathList = folderBrowser.SelectedPathList;
			this.DialogResult = true;
		}

		private void btnCancel_Click(object sender, RoutedEventArgs e)
		{
			this.DialogResult = false;
		}
	} // end of FolderWithCheckBoxDialog class
} // end of namespace
